Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

# openvrml::vrml97_parse_error_handler Struct Reference

A Spirit error handler that emits error and warning messages to a `std::ostream`. More...

`#include <openvrml/vrml97_grammar.h>`

List of all members.

## Public Member Functions
| vrml97_parse_error_handler (std::ostream &out=std::cerr)
| Construct.
template<typename ScannerT , typename ErrorT >
boost::spirit::classic::error_status | operator() (const ScannerT &scan, const ErrorT &err) const
| Handle a parser error.
## Private Attributes
std::ostream & | out_
| Output stream.

## Detailed Description

A Spirit error handler that emits error and warning messages to a `std::ostream`.

`rotation_axis_not_normalized` is treated as a warning. All other `vrml_parse_errors` are treated as errors.

## Constructor & Destructor Documentation

openvrml::vrml97_parse_error_handler::vrml97_parse_error_handler | ( | std::ostream & | out = `std::cerr` | ) | `[inline, explicit]`

Construct.

Parameters:

  `[in]` | out | output stream.

## Member Function Documentation

template<typename ScannerT , typename ErrorT >

boost::spirit::error_status<> openvrml::vrml97_parse_error_handler::operator() | ( | const ScannerT & | scan,
|  | const ErrorT & | err |
| ) |  |  | const`[inline]`

Handle a parser error.

Parameters:

  `[in]` | scan | the scanner.
  `[in]` | err | a `boost::spirit::parser_error`.

## Member Data Documentation

std::ostream & openvrml::vrml97_parse_error_handler::out_`[private]`

Output stream.

For internal use only.